Tp::CandidateInfo Struct Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::CandidateInfo Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< QString, QDBusVariant >.

## Public Member Functions
| CandidateInfo ()
| CandidateInfo (const QMap< QString, QDBusVariant > &a)
CandidateInfo & | operator= (const QMap< QString, QDBusVariant > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QDBusVariant>, but needed to have a discrete type in the Qt type system.

Extra information about the candidate. Allowed and mandatory keys depend on the transport protocol used. The following keys are commenly used:

`type` - u
  The type of candidate (Call_Stream_Candidate_Type)
`foundation` - s
  The foundation of this candidate
`protocol` - u
  Underlying protocol of the candidate (Media_Stream_Base_Proto)
`priority` - u
  Priority of the candidate (should be a number between 0 and 65535). Most ICE implementations will prefer the highest priority candidate pair that manages to connect. For backwards compatibility with non-ICE SIP clients, the lowest priority candidate may be sent as a raw UDP fallback candidate. It is recommended that a relay candidate is used as the lowest priority candidate if possible. If both IPv4 and IPv6 raw udp fallback candidates are available, they should be set to the same priority and advertised to the CM at the same time. The CM will decide which to advertise to the remote end.
`base-ip` - s
  The underlying Host address where media sent to this (non-host-type) candidate will eventually arrive.
`base-port` - u
  The underlying Host port where media sent to this (non-host-type) candidate will eventually arrive.
`username` - s
  Username of this candidate (only if credentials are per candidate)
`password` - s
  Password of this candidate (only if credentials are per candidate)
`ttl` - u
  The TTL mandated for RTP/RTCP packets sent to a multicast group (only valid for Multicast Streams)

## Constructor & Destructor Documentation

Tp::CandidateInfo::CandidateInfo | ( |  | ) |
| inline

Tp::CandidateInfo::CandidateInfo | ( | const QMap< QString, QDBusVariant > & | a | ) |
| inline

## Member Function Documentation

CandidateInfo& Tp::CandidateInfo::operator= | ( | const QMap< QString, QDBusVariant > & | a | ) |
| inline